Skip to main content
`Ctrl`+`K`

# ThreadSafeParser

class astropy.utils.parsing.ThreadSafeParser(parser)

  Bases: `object`

  Wrap a parser produced by `ply.yacc.yacc`.

  It provides a `parse()` method that is thread-safe.

  Methods Summary

  `parse`(*args, **kwargs) | Run the wrapped parser, with a lock to ensure serialization.

  Methods Documentation

  parse(*args, **kwargs)

    Run the wrapped parser, with a lock to ensure serialization.